org.wso2.extension.siddhi.execution.ml.samoa.utils.classification

## Class StreamingClassificationTaskBuilder

- java.lang.Object
- - org.wso2.extension.siddhi.execution.ml.samoa.utils.TaskBuilder
  - - org.wso2.extension.siddhi.execution.ml.samoa.utils.classification.StreamingClassificationTaskBuilder

-     public class StreamingClassificationTaskBuilder
      extends TaskBuilder

  Streaming Classification Task Builder

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Queue<Vector>` | `classifiers`
    `protected static org.slf4j.Logger` | `LOGGER`

    - ### Fields inherited from class org.wso2.extension.siddhi.execution.ml.samoa.utils.TaskBuilder

      `cepEvents, maxEvents, numberOfAttributes, STATUS_UPDATE_FREQ_MSG, SUPPRESS_RESULT_OUT_MSG, SUPPRESS_STATUS_OUT_MSG, topology`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamingClassificationTaskBuilder(int maxInstance, int batchSize, int numClasses, int numAtts, int numNominals, String nominalVals, Queue<double[]> cepEvents, Queue<Vector> classifiers, int parallelism, int bagging)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `initClassificationTask(String[] args)`
    `void` | `initTask()`

    - ### Methods inherited from class org.wso2.extension.siddhi.execution.ml.samoa.utils.TaskBuilder

      `submit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LOGGER

          protected static final org.slf4j.Logger LOGGER

    - #### classifiers

          public Queue<Vector> classifiers

  - ### Constructor Detail

    - #### StreamingClassificationTaskBuilder

          public StreamingClassificationTaskBuilder(int maxInstance,
                                                    int batchSize,
                                                    int numClasses,
                                                    int numAtts,
                                                    int numNominals,
                                                    String nominalVals,
                                                    Queue<double[]> cepEvents,
                                                    Queue<Vector> classifiers,
                                                    int parallelism,
                                                    int bagging)

  - ### Method Detail

    - #### initTask

          public void initTask()

      Specified by:
        `initTask` in class `TaskBuilder`

    - #### initClassificationTask

          protected void initClassificationTask(String[] args)

Copyright © 2017 WSO2. All rights reserved.